Categories:
  - Internet
  - Phone & SMS
License: GPL-3.0-only
AuthorName: Soprani.ca
AuthorEmail: dev@singpolyma.net
WebSite: https://cheogram.com
SourceCode: https://git.singpolyma.net/cheogram-android
IssueTracker: https://soprani.ca/todo
Donate: https://github.com/sponsors/singpolyma/
Liberapay: singpolyma
Bitcoin: bc1qlzl0pzvw48aec79lx8w7sxm44ydf3ny8xe7xrv

AutoName: Cheogram Android

RepoType: git
Repo: https://git.singpolyma.net/cheogram-android

Builds:
  - versionName: 2.10.3-1+free
    versionCode: 42025
    commit: 2.10.3-1-fdroid
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.3-2+free
    versionCode: 42026
    commit: 96dd73e65d2c3c608a8e127effbc73329f2fb94f
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.5-1+free
    versionCode: 42027
    commit: 4e2737bceb65d4d41724afb1082fbae08492e7f7
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.5-2+free
    versionCode: 42028
    commit: 18b3435433cfa95898a136036fd5f2b392fc8e44
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.6-1+free
    versionCode: 42029
    commit: ed4d1e826719101e632d14c3c07d9dd951c24490
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.9-1+free
    versionCode: 42030
    commit: cd4620d148b33c9e8f34b8ecc20bc06764aa869b
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.10-1+free
    versionCode: 42031
    commit: 6d12f682233594f9111cb0a627fc98c5b4e55c64
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.10-2+free
    versionCode: 42032
    commit: 4e3f59c2f952a707be59194e8a221edf3ee7f617
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e

  - versionName: 2.10.10-3+free
    versionCode: 42033
    commit: 840f5fc837e309fbe955e5534423329a45574bac
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle
    ndk: r21e
    antifeatures:
      - KnownVuln

  - versionName: 2.11.0-1+free
    versionCode: 42034
    commit: 723616441fa10e8598ccf6f37f2e8a30debb1a61
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-1+free
    versionCode: 42035
    commit: 8cc2690c555736e6f5f1424d4fdad91dbb4975c8
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-2+free
    versionCode: 42036
    commit: 7d4db7a4fe45ab79cd7fd111c57975b6afd7f938
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-3+free
    versionCode: 42037
    commit: c0aa825e0eefffff12cf688e168fff33292bcf44
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-4+free
    versionCode: 42038
    commit: c3d029a3f1ff2816ad1452809fc9365baec8f556
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-5+free
    versionCode: 42039
    commit: dcd333d6924e761985e5f7ffc917fd29b3c3a8ab
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-6+free
    versionCode: 42040
    commit: 4231e028ba77a5f0ec35873b5dc00975f0a39bb5
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-7+free
    versionCode: 42041
    commit: e289ac2dd2aab017e33c68d6e3d1d75e1447160b
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.1-8+free
    versionCode: 42042
    commit: 084cd546629c0d71f42220abc124e61ba0fde0a5
    gradle:
      - cheogramFree
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e '/splits/,+5d'
      -e '/Variants.all/,+10d' build.gradle

  - versionName: 2.12.8-1+free
    versionCode: 4204401
    commit: 69d1fb08950d402e56d73a5a05941f31c8610533
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-armeabi-v7a-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-1+free
    versionCode: 4204402
    commit: 69d1fb08950d402e56d73a5a05941f31c8610533
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-x86-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-1+free
    versionCode: 4204403
    commit: 69d1fb08950d402e56d73a5a05941f31c8610533
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-x86_64-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-1+free
    versionCode: 4204404
    commit: 69d1fb08950d402e56d73a5a05941f31c8610533
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-arm64-v8a-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-2+free
    versionCode: 4204501
    commit: 3e42c9cd8c3ff24bdae280f232dcb23947671612
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-armeabi-v7a-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-2+free
    versionCode: 4204502
    commit: 3e42c9cd8c3ff24bdae280f232dcb23947671612
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-x86-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-2+free
    versionCode: 4204503
    commit: 3e42c9cd8c3ff24bdae280f232dcb23947671612
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-x86_64-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-2+free
    versionCode: 4204504
    commit: 3e42c9cd8c3ff24bdae280f232dcb23947671612
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-arm64-v8a-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-3+free
    versionCode: 4204601
    commit: 3905fd5b48db7539355691bad7fb5bedc159c020
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-armeabi-v7a-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-3+free
    versionCode: 4204602
    commit: 3905fd5b48db7539355691bad7fb5bedc159c020
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-x86-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-3+free
    versionCode: 4204603
    commit: 3905fd5b48db7539355691bad7fb5bedc159c020
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-x86_64-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

  - versionName: 2.12.8-3+free
    versionCode: 4204604
    commit: 3905fd5b48db7539355691bad7fb5bedc159c020
    gradle:
      - cheogramFree
    output: build/outputs/apk/cheogramFree/release/Conversations-cheogram-free-arm64-v8a-release-unsigned.apk
    prebuild: sed -i -e '/MissingTranslation/aabortOnError\ false' -e 's/Apk true/Apk
      false/' build.gradle

AutoUpdateMode: Version ++free %v-fdroid
UpdateCheckMode: Tags .*-fdroid$
VercodeOperation:
  - 100 * %c + 1
  - 100 * %c + 2
  - 100 * %c + 3
  - 100 * %c + 4
UpdateCheckName: Ignore
CurrentVersion: 2.12.8-3
CurrentVersionCode: 4204604
